com.r3corda.contracts / InterestRateSwap / Clauses / Timestamped

# Timestamped

`class Timestamped : ConcreteClause<ContractState, Commands, Unit>`

### Constructors

<init> | `Timestamped()`

### Inherited Properties

requiredCommands | `open val requiredCommands: Set<Class<out CommandData>>` Determine whether this clause runs or not

### Functions

verify | `fun verify(tx: TransactionForContract, inputs: List<ContractState>, outputs: List<ContractState>, commands: List<AuthenticatedObject<Commands>>, groupingKey: Unit?): Set<Commands>` Verify the transaction matches the conditions from this clause. For example, a "no zero amount output" clause would check each of the output states that it applies to, looking for a zero amount, and throw IllegalStateException if any matched.